//----------------------------------------------------------------------//
// EyeTra																//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop
#include <tchar.h>

//---------------------------------------------------------------------------
#include <Vcl.Styles.hpp>
#include <Vcl.Themes.hpp>
USEFORM("Unit1.cpp", ParaTraForm);
USEFORM("About.cpp", AboutBox);
//---------------------------------------------------------------------------
int WINAPI _tWinMain(HINSTANCE, HINSTANCE, LPTSTR, int)
{
	//~[ebNXɂdNh~
	HANDLE hMutex = ::CreateMutex(NULL,FALSE, _T("ParaTra_is_running"));
	if (::GetLastError()==ERROR_ALREADY_EXISTS) {
		::CloseHandle(hMutex);
		return -1;
	}

	try
	{
		Application->Initialize();
		Application->MainFormOnTaskBar = true;
		TStyleManager::TrySetStyle("Charcoal Dark Slate");
		Application->CreateForm(__classid(TParaTraForm), &ParaTraForm);
		Application->CreateForm(__classid(TAboutBox), &AboutBox);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
